.TH sane-scsi 5 "5 July 1997"
.IX sane-scsi
.SH NAME
sane-scsi - SCSI adapter tips for scanners
.SH DESCRIPTION
This manual page contains various operating-system specific tips and
tricks on how to get scanners with a SCSI interface working.
.SH GNU LINUX
To keep scanning times to a minimum, it is strongly recommended to use
a large buffer size for the generic SCSI driver.  By default, Linux
uses a buffer of size 32KB.  This works, but for many cheaper scanners
this causes scanning to be slower by about a factor of four than when
using a size of 127KB.  Linux defines the size of this buffer by macro
.B SG_BIG_BUFF
in header file
.IR /usr/include/sg.h .
Unless a system is seriously short on memory, it is recommended to
increase this value to the maximum legal value of 128*1024-512=130560
bytes.  After changing this value, it is necessary to recompile both
the kernel and the SCSI backends.
.PP
Flatbed scanners are known to work with the following SCSI adapters
under Linux:
.PP
.RS
.TP
Mustek 53c400/DTCT436 or DTC3181E ISA SCSI card
If your card is jumper-less (plug and pray) and the Linux kernel fails
to recognize your card, then you may need the patch
.I mustek-scsi-0.2.patch.gz
which is available at
.IR ftp://ftp.azstarnet.com/pub/linux/axp/sane/ .
Once the kernel detects the card, it should work all right.  However,
while it should work, do not expect good performance out of this
card---it has no interrupt line and therefore while a scan is in
progress, the system becomes almost unusable.
.TP
ncr810
For this card, make sure the SCSI timeout is reasonably big; the
default timeout for the Linux 2.0 kernels is 10 seconds, which is way
too low when scanning large area.  If you get messages of the form
"restart (ncr dead ?)" in your /var/log/messages file or on the system
console, it's an indication that the timeout is too short.  In this
case, find the line "if (np->latetime>10)" in file ncr53c8xx.c
(normally in directory /usr/src/linux/drivers/scsi) and change the
constant 10 to, say, 60 (one minute).  Then rebuild the kernel/module
and try again.
.TP
Adaptec AHA-1505/AHA-1542/AHA-2940
.TP
ASUS SC200
.SH ENVIRONMENT
.TP
.B SANE_SANEI_SCSI
If the library was compiled with debug support enabled, this
environment variable controls the debug level for the generic SCSI I/O
subsystem.  E.g., a value of 128 requests all debug output to be
printed.  Smaller levels reduce verbosity.
.SH "SEE ALSO"
sane-hp(5), sane-mustek(5), sane-umax(5)
.SH AUTHOR
David Mosberger
